Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::action::adjacent_remove_if_fn Struct Reference

## Public Member Functions
template<typename Rng , typename Pred , typename Proj = identity>
auto | operator() (Rng &&rng, Pred pred, Proj proj={}) const -> Rng requires forward_range< Rng > &&erasable_range< Rng, iterator_t< Rng >, sentinel_t< Rng >> &&indirect_relation< Pred, projected< iterator_t< Rng >, Proj >> &&permutable< iterator_t< Rng >>